require 'mongoid'
require 'active_model'
require 'active_support'
require 'sinatra/base'
require 'sinatra/config_file'
require 'platform-api'
require 'faraday'
require 'sinatra/custom_logger'
require 'dotenv/load'

module Virtuaservices
  autoload :Account       , 'virtuaservices/account'
  autoload :Authentication, 'virtuaservices/authentication'
  autoload :Concerns      , 'virtuaservices/concerns'
  autoload :Decorators    , 'virtuaservices/decorators'
  autoload :Factories     , 'virtuaservices/factories'
  autoload :Monitoring    , 'virtuaservices/monitoring'
  autoload :OAuth         , 'virtuaservices/oauth'
  autoload :Permissions   , 'virtuaservices/permissions'
  autoload :Utils         , 'virtuaservices/utils'
end