module Virtuaservices
  # This module holds the shared concerns to include in the desired models.
  # @author Vincent Courtois <courtois.vincent@outlook.com>
  module Concerns
    autoload :Activable     , 'virtuaservices/concerns/activable'
    autoload :Diagnosticable, 'virtuaservices/concerns/diagnosticable'
    autoload :Enumerable    , 'virtuaservices/concerns/enumerable'
    autoload :MimeTypable   , 'virtuaservices/concerns/mime_typable'
    autoload :Premiumable   , 'virtuaservices/concerns/premiumable'
    autoload :Sluggable     , 'virtuaservices/concerns/sluggable'
    autoload :Typable       , 'virtuaservices/concerns/typable'
  end
end