module Virtuaservices
  # This module holds the logic for all the classes concerning the permissions abd rights for the user.
  # A permission is restricting the access to one or several features to the users having it.
  # @author Vincent Courtois <courtois.vincent@outlook.com>
  module Permissions
    autoload :Right   , 'virtuaservices/permissions/right'
    autoload :Group   , 'virtuaservices/permissions/group'
    autoload :Category, 'virtuaservices/permissions/category'
  end
end