module Virtuaservices
  # The monitoring module holds all the logic about the services so they can be activated or deactivated.
  # @author Vincent Courtois <courtois.vincent@outlook.com>
  module Monitoring
    autoload :Gateway  , 'virtuaservices/monitoring/gateway'
    autoload :Instance , 'virtuaservices/monitoring/instance'
    autoload :Route    , 'virtuaservices/monitoring/route'
    autoload :Service  , 'virtuaservices/monitoring/service'
    autoload :Websocket, 'virtuaservices/monitoring/websocket'
  end
end