module Virtuaservices
  module Utils
    # Module gathering all the exception classes used throughout the utils module, mainly linked to HTTP errors.
    # @author Vincent Courtois <courtois.vincent@outlook.com>
    module Errors
      autoload :BadRequest, 'virtuaservices/utils/errors/bad_request'
      autoload :Forbidden , 'virtuaservices/utils/errors/forbidden'
      autoload :NotFound  , 'virtuaservices/utils/errors/not_found'
      autoload :HTTPError , 'virtuaservices/utils/errors/http_error'
    end
  end
end