# -*- encoding: utf-8 -*-
# stub: virtuaservices 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "virtuaservices".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Vincent Courtois".freeze]
  s.date = "2019-07-09"
  s.description = "This application is the generic base to handle elements like servers, users, and sessions.".freeze
  s.email = "courtois.vincent@outlook.com".freeze
  s.homepage = "https://rubygems.org/gems/virtuaservices".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A generic SaaS platform".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["= 3.6.0"])
    s.add_development_dependency(%q<rspec-json_expectations>.freeze, ["= 2.1.0"])
    s.add_development_dependency(%q<rack-test>.freeze, ["= 0.7.0"])
    s.add_development_dependency(%q<factory_bot>.freeze, ["= 5.0.2"])
    s.add_development_dependency(%q<database_cleaner>.freeze, ["= 1.6.1"])
    s.add_development_dependency(%q<simplecov>.freeze, ["= 0.15.1"])
    s.add_development_dependency(%q<yard>.freeze, ["= 0.9.20"])
    s.add_development_dependency(%q<pry>.freeze, ["= 0.11.1"])
    s.add_runtime_dependency(%q<mongoid>.freeze, ["= 7.0.1"])
    s.add_runtime_dependency(%q<activemodel>.freeze, ["= 5.1.4"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["= 5.1.4"])
    s.add_runtime_dependency(%q<bcrypt>.freeze, ["= 3.1.11"])
    s.add_runtime_dependency(%q<sinatra>.freeze, ["= 2.0.2"])
    s.add_runtime_dependency(%q<sinatra-contrib>.freeze, ["= 2.0.2"])
    s.add_runtime_dependency(%q<platform-api>.freeze, ["= 2.1.0"])
    s.add_runtime_dependency(%q<faraday>.freeze, ["= 0.15.2"])
    s.add_runtime_dependency(%q<dotenv>.freeze, ["= 2.7.2"])
  else
    s.add_dependency(%q<rspec>.freeze, ["= 3.6.0"])
    s.add_dependency(%q<rspec-json_expectations>.freeze, ["= 2.1.0"])
    s.add_dependency(%q<rack-test>.freeze, ["= 0.7.0"])
    s.add_dependency(%q<factory_bot>.freeze, ["= 5.0.2"])
    s.add_dependency(%q<database_cleaner>.freeze, ["= 1.6.1"])
    s.add_dependency(%q<simplecov>.freeze, ["= 0.15.1"])
    s.add_dependency(%q<yard>.freeze, ["= 0.9.20"])
    s.add_dependency(%q<pry>.freeze, ["= 0.11.1"])
    s.add_dependency(%q<mongoid>.freeze, ["= 7.0.1"])
    s.add_dependency(%q<activemodel>.freeze, ["= 5.1.4"])
    s.add_dependency(%q<activesupport>.freeze, ["= 5.1.4"])
    s.add_dependency(%q<bcrypt>.freeze, ["= 3.1.11"])
    s.add_dependency(%q<sinatra>.freeze, ["= 2.0.2"])
    s.add_dependency(%q<sinatra-contrib>.freeze, ["= 2.0.2"])
    s.add_dependency(%q<platform-api>.freeze, ["= 2.1.0"])
    s.add_dependency(%q<faraday>.freeze, ["= 0.15.2"])
    s.add_dependency(%q<dotenv>.freeze, ["= 2.7.2"])
  end
end
